# -*- rpm-spec -*-
Summary:        Monte Carlo VIrtual Neutron Experiment
Name:           mcvine
Version:        1.0.1
Release:        0
License:        BSD
Group:          Development/Tools
Source:         mcvine-1.0.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++
BuildRequires:	cmake > 2.6
BuildRequires:	make
BuildRequires:  python-devel
BuildRequires:  gsl-devel
BuildRequires:  boost-devel
BuildRequires:  boost-python
BuildRequires:  mcvine-resources
BuildRequires:  journal
BuildRequires:  drchops

Requires: python
Requires: python-devel
Requires: numpy
Requires: python-yaml
Requires: python-psutil
Requires: h5py
Requires: mpi4py-mpich2
Requires: gsl-devel
Requires: boost-python
Requires: pyre
Requires: danse.ins.dsm
Requires: danse.ins.numpyext
Requires: danse.ins.bpext
Requires: histogram
Requires: journal
Requires: danse.ins.matter
Requires: drchops
Requires: mcvine-resources

%description
Monte Carlo VIrtual Neutron Experiment

%define prefix /opt/danse
%define rpmprefix $RPM_BUILD_ROOT%{prefix}
%define srcdirname %{name}-%{version}

%prep
%setup -q -n %{srcdirname}

%build
cd ..
rm -rf build_tree
mkdir build_tree
./%{srcdirname}/builders/build $PWD/%{srcdirname} build_tree %{rpmprefix} /opt/danse/share/mcvine/resources

%install 
cd ../build_tree
make install

%clean
cd ..
rm -rf %{srcdirname}
rm -rf build_tree

%files
%defattr(-,root,root,-)
%{prefix}/include/*
%{prefix}/lib64/*
%{prefix}/bin/*
%{prefix}/etc/*
%{prefix}/share/*

%changelog
